diff --git a/backend/src/event/Event.ts b/backend/src/event/Event.ts
new file mode 100644
index 000000000..6f07661f1
--- /dev/null
+++ b/backend/src/event/Event.ts
@@ -0,0 +1,301 @@
+import { EventProtocol } from '@entity/EventProtocol'
+import decimal from 'decimal.js-light'
+import { EventProtocolType } from './EventProtocolType'
+
+export class EventBasic {
+  type: string
+  createdAt: Date
+}
+export class EventBasicUserId extends EventBasic {
+  userId: number
+}
+
+export class EventBasicTx extends EventBasicUserId {
+  xUserId: number
+  xCommunityId: number
+  transactionId: number
+  amount: decimal
+}
+
+export class EventBasicCt extends EventBasicUserId {
+  contributionId: number
+  amount: decimal
+}
+
+export class EventBasicRedeem extends EventBasicUserId {
+  transactionId?: number
+  contributionId?: number
+}
+
+export class EventVisitGradido extends EventBasic {}
+export class EventRegister extends EventBasicUserId {}
+export class EventRedeemRegister extends EventBasicRedeem {}
+export class EventInactiveAccount extends EventBasicUserId {}
+export class EventSendConfirmationEmail extends EventBasicUserId {}
+export class EventConfirmationEmail extends EventBasicUserId {}
+export class EventRegisterEmailKlicktipp extends EventBasicUserId {}
+export class EventLogin extends EventBasicUserId {}
+export class EventRedeemLogin extends EventBasicRedeem {}
+export class EventActivateAccount extends EventBasicUserId {}
+export class EventPasswordChange extends EventBasicUserId {}
+export class EventTransactionSend extends EventBasicTx {}
+export class EventTransactionSendRedeem extends EventBasicTx {}
+export class EventTransactionRepeateRedeem extends EventBasicTx {}
+export class EventTransactionCreation extends EventBasicUserId {
+  transactionId: number
+  amount: decimal
+}
+export class EventTransactionReceive extends EventBasicTx {}
+export class EventTransactionReceiveRedeem extends EventBasicTx {}
+export class EventContributionCreate extends EventBasicCt {}
+export class EventContributionConfirm extends EventBasicCt {
+  xUserId: number
+  xCommunityId: number
+}
+export class EventContributionLinkDefine extends EventBasicCt {}
+export class EventContributionLinkActivateRedeem extends EventBasicCt {}
+
+export class Event {
+  constructor()
+  constructor(event?: EventProtocol) {
+    if (event) {
+      this.id = event.id
+      this.type = event.type
+      this.createdAt = event.createdAt
+      this.userId = event.userId
+      this.xUserId = event.xUserId
+      this.xCommunityId = event.xCommunityId
+      this.transactionId = event.transactionId
+      this.contributionId = event.contributionId
+      this.amount = event.amount
+    }
+  }
+
+  public setEventBasic(): Event {
+    this.type = EventProtocolType.BASIC
+    this.createdAt = new Date()
+
+    return this
+  }
+
+  public setEventVisitGradido(): Event {
+    this.setEventBasic()
+    this.type = EventProtocolType.VISIT_GRADIDO
+
+    return this
+  }
+
+  public setEventRegister(ev: EventRegister): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.REGISTER
+
+    return this
+  }
+
+  public setEventRedeemRegister(ev: EventRedeemRegister): Event {
+    this.setByBasicRedeem(ev.userId, ev.transactionId, ev.contributionId)
+    this.type = EventProtocolType.REDEEM_REGISTER
+
+    return this
+  }
+
+  public setEventInactiveAccount(ev: EventInactiveAccount): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.INACTIVE_ACCOUNT
+
+    return this
+  }
+
+  public setEventSendConfirmationEmail(ev: EventSendConfirmationEmail): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.SEND_CONFIRMATION_EMAIL
+
+    return this
+  }
+
+  public setEventConfirmationEmail(ev: EventConfirmationEmail): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.CONFIRM_EMAIL
+
+    return this
+  }
+
+  public setEventRegisterEmailKlicktipp(ev: EventRegisterEmailKlicktipp): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.REGISTER_EMAIL_KLICKTIPP
+
+    return this
+  }
+
+  public setEventLogin(ev: EventLogin): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.LOGIN
+
+    return this
+  }
+
+  public setEventRedeemLogin(ev: EventRedeemLogin): Event {
+    this.setByBasicRedeem(ev.userId, ev.transactionId, ev.contributionId)
+    this.type = EventProtocolType.REDEEM_LOGIN
+
+    return this
+  }
+
+  public setEventActivateAccount(ev: EventActivateAccount): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.ACTIVATE_ACCOUNT
+
+    return this
+  }
+
+  public setEventPasswordChange(ev: EventPasswordChange): Event {
+    this.setByBasicUser(ev.userId)
+    this.type = EventProtocolType.PASSWORD_CHANGE
+
+    return this
+  }
+
+  public setEventTransactionSend(ev: EventTransactionSend): Event {
+    this.setByBasicTx(ev.userId, ev.xUserId, ev.xCommunityId, ev.transactionId, ev.amount)
+    this.type = EventProtocolType.TRANSACTION_SEND
+
+    return this
+  }
+
+  public setEventTransactionSendRedeem(ev: EventTransactionSendRedeem): Event {
+    this.setByBasicTx(ev.userId, ev.xUserId, ev.xCommunityId, ev.transactionId, ev.amount)
+    this.type = EventProtocolType.TRANSACTION_SEND_REDEEM
+
+    return this
+  }
+
+  public setEventTransactionRepeateRedeem(ev: EventTransactionRepeateRedeem): Event {
+    this.setByBasicTx(ev.userId, ev.xUserId, ev.xCommunityId, ev.transactionId, ev.amount)
+    this.type = EventProtocolType.TRANSACTION_REPEATE_REDEEM
+
+    return this
+  }
+
+  public setEventTransactionCreation(ev: EventTransactionCreation): Event {
+    this.setByBasicUser(ev.userId)
+    if (ev.transactionId) this.transactionId = ev.transactionId
+    if (ev.amount) this.amount = ev.amount
+    this.type = EventProtocolType.TRANSACTION_CREATION
+
+    return this
+  }
+
+  public setEventTransactionReceive(ev: EventTransactionReceive): Event {
+    this.setByBasicTx(ev.userId, ev.xUserId, ev.xCommunityId, ev.transactionId, ev.amount)
+    this.type = EventProtocolType.TRANSACTION_RECEIVE
+
+    return this
+  }
+
+  public setEventTransactionReceiveRedeem(ev: EventTransactionReceiveRedeem): Event {
+    this.setByBasicTx(ev.userId, ev.xUserId, ev.xCommunityId, ev.transactionId, ev.amount)
+    this.type = EventProtocolType.TRANSACTION_RECEIVE_REDEEM
+
+    return this
+  }
+
+  public setEventContributionCreate(ev: EventContributionCreate): Event {
+    this.setByBasicCt(ev.userId, ev.contributionId, ev.amount)
+    this.type = EventProtocolType.CONTRIBUTION_CREATE
+
+    return this
+  }
+
+  public setEventContributionConfirm(ev: EventContributionConfirm): Event {
+    this.setByBasicCt(ev.userId, ev.contributionId, ev.amount)
+    if (ev.xUserId) this.xUserId = ev.xUserId
+    if (ev.xCommunityId) this.xCommunityId = ev.xCommunityId
+    this.type = EventProtocolType.CONTRIBUTION_CONFIRM
+
+    return this
+  }
+
+  public setEventContributionLinkDefine(ev: EventContributionLinkDefine): Event {
+    this.setByBasicCt(ev.userId, ev.contributionId, ev.amount)
+    this.type = EventProtocolType.CONTRIBUTION_LINK_DEFINE
+
+    return this
+  }
+
+  public setEventContributionLinkActivateRedeem(ev: EventContributionLinkActivateRedeem): Event {
+    this.setByBasicCt(ev.userId, ev.contributionId, ev.amount)
+    this.type = EventProtocolType.CONTRIBUTION_LINK_ACTIVATE_REDEEM
+
+    return this
+  }
+
+  setByBasicUser(userId: number): Event {
+    this.setEventBasic()
+    this.userId = userId
+
+    return this
+  }
+
+  setByBasicTx(
+    userId: number,
+    xUserId?: number,
+    xCommunityId?: number,
+    transactionId?: number,
+    amount?: decimal,
+  ): Event {
+    this.setByBasicUser(userId)
+    if (xUserId) this.xUserId = xUserId
+    if (xCommunityId) this.xCommunityId = xCommunityId
+    if (transactionId) this.transactionId = transactionId
+    if (amount) this.amount = amount
+
+    return this
+  }
+
+  setByBasicCt(userId: number, contributionId: number, amount?: decimal): Event {
+    this.setByBasicUser(userId)
+    if (contributionId) this.contributionId = contributionId
+    if (amount) this.amount = amount
+
+    return this
+  }
+
+  setByBasicRedeem(userId: number, transactionId?: number, contributionId?: number): Event {
+    this.setByBasicUser(userId)
+    if (transactionId) this.transactionId = transactionId
+    if (contributionId) this.contributionId = contributionId
+
+    return this
+  }
+
+  setByEventTransactionCreation(event: EventTransactionCreation): Event {
+    this.type = event.type
+    this.createdAt = event.createdAt
+    this.userId = event.userId
+    this.transactionId = event.transactionId
+    this.amount = event.amount
+
+    return this
+  }
+
+  setByEventContributionConfirm(event: EventContributionConfirm): Event {
+    this.type = event.type
+    this.createdAt = event.createdAt
+    this.userId = event.userId
+    this.xUserId = event.xUserId
+    this.xCommunityId = event.xCommunityId
+    this.amount = event.amount
+
+    return this
+  }
+
+  id: number
+  type: string
+  createdAt: Date
+  userId: number
+  xUserId?: number
+  xCommunityId?: number
+  transactionId?: number
+  contributionId?: number
+  amount?: decimal
+}
diff --git a/backend/src/event/EventProtocolEmitter.ts b/backend/src/event/EventProtocolEmitter.ts
new file mode 100644
index 000000000..6dea99810
--- /dev/null
+++ b/backend/src/event/EventProtocolEmitter.ts
@@ -0,0 +1,39 @@
+import { Event } from '@/event/Event'
+import { backendLogger as logger } from '@/server/logger'
+import { EventProtocol } from '@entity/EventProtocol'
+import CONFIG from '@/config'
+
+class EventProtocolEmitter {
+  /* }extends EventEmitter { */
+  private events: Event[]
+
+  public addEvent(event: Event) {
+    this.events.push(event)
+  }
+
+  public getEvents(): Event[] {
+    return this.events
+  }
+
+  public isDisabled() {
+    logger.info(`EventProtocol - isDisabled=${CONFIG.EVENT_PROTOCOL_DISABLED}`)
+    return CONFIG.EVENT_PROTOCOL_DISABLED === true
+  }
+
+  public async writeEvent(event: Event): Promise<void> {
+    if (!eventProtocol.isDisabled()) {
+      logger.info(`writeEvent(${JSON.stringify(event)})`)
+      const dbEvent = new EventProtocol()
+      dbEvent.type = event.type
+      dbEvent.createdAt = event.createdAt
+      dbEvent.userId = event.userId
+      if (event.xUserId) dbEvent.xUserId = event.xUserId
+      if (event.xCommunityId) dbEvent.xCommunityId = event.xCommunityId
+      if (event.contributionId) dbEvent.contributionId = event.contributionId
+      if (event.transactionId) dbEvent.transactionId = event.transactionId
+      if (event.amount) dbEvent.amount = event.amount
+      await dbEvent.save()
+    }
+  }
+}
+export const eventProtocol = new EventProtocolEmitter()
diff --git a/backend/src/event/EventProtocolType.ts b/backend/src/event/EventProtocolType.ts
new file mode 100644
index 000000000..0f61f787a
--- /dev/null
+++ b/backend/src/event/EventProtocolType.ts
@@ -0,0 +1,24 @@
+export enum EventProtocolType {
+  BASIC = 'BASIC',
+  VISIT_GRADIDO = 'VISIT_GRADIDO',
+  REGISTER = 'REGISTER',
+  REDEEM_REGISTER = 'REDEEM_REGISTER',
+  INACTIVE_ACCOUNT = 'INACTIVE_ACCOUNT',
+  SEND_CONFIRMATION_EMAIL = 'SEND_CONFIRMATION_EMAIL',
+  CONFIRM_EMAIL = 'CONFIRM_EMAIL',
+  REGISTER_EMAIL_KLICKTIPP = 'REGISTER_EMAIL_KLICKTIPP',
+  LOGIN = 'LOGIN',
+  REDEEM_LOGIN = 'REDEEM_LOGIN',
+  ACTIVATE_ACCOUNT = 'ACTIVATE_ACCOUNT',
+  PASSWORD_CHANGE = 'PASSWORD_CHANGE',
+  TRANSACTION_SEND = 'TRANSACTION_SEND',
+  TRANSACTION_SEND_REDEEM = 'TRANSACTION_SEND_REDEEM',
+  TRANSACTION_REPEATE_REDEEM = 'TRANSACTION_REPEATE_REDEEM',
+  TRANSACTION_CREATION = 'TRANSACTION_CREATION',
+  TRANSACTION_RECEIVE = 'TRANSACTION_RECEIVE',
+  TRANSACTION_RECEIVE_REDEEM = 'TRANSACTION_RECEIVE_REDEEM',
+  CONTRIBUTION_CREATE = 'CONTRIBUTION_CREATE',
+  CONTRIBUTION_CONFIRM = 'CONTRIBUTION_CONFIRM',
+  CONTRIBUTION_LINK_DEFINE = 'CONTRIBUTION_LINK_DEFINE',
+  CONTRIBUTION_LINK_ACTIVATE_REDEEM = 'CONTRIBUTION_LINK_ACTIVATE_REDEEM',
+}
diff --git a/backend/src/graphql/arg/CreatePendingCreationArgs.ts b/backend/src/graphql/arg/AdminCreateContributionArgs.ts
similarity index 85%
rename from backend/src/graphql/arg/CreatePendingCreationArgs.ts
rename to backend/src/graphql/arg/AdminCreateContributionArgs.ts
index 11c345465..b09edea32 100644
--- a/backend/src/graphql/arg/CreatePendingCreationArgs.ts
+++ b/backend/src/graphql/arg/AdminCreateContributionArgs.ts
@@ -3,7 +3,7 @@ import Decimal from 'decimal.js-light'
 
 @InputType()
 @ArgsType()
-export default class CreatePendingCreationArgs {
+export default class AdminCreateContributionArgs {
   @Field(() => String)
   email: string
 
diff --git a/backend/src/graphql/arg/UpdatePendingCreationArgs.ts b/backend/src/graphql/arg/AdminUpdateContributionArgs.ts
similarity index 85%
rename from backend/src/graphql/arg/UpdatePendingCreationArgs.ts
rename to backend/src/graphql/arg/AdminUpdateContributionArgs.ts
index 691d73154..392365b38 100644
--- a/backend/src/graphql/arg/UpdatePendingCreationArgs.ts
+++ b/backend/src/graphql/arg/AdminUpdateContributionArgs.ts
@@ -2,7 +2,7 @@ import { ArgsType, Field, Int } from 'type-graphql'
 import Decimal from 'decimal.js-light'
 
 @ArgsType()
-export default class UpdatePendingCreationArgs {
+export default class AdminUpdateContributionArgs {
   @Field(() => Int)
   id: number
 
diff --git a/backend/src/graphql/arg/ContributionArgs.ts b/backend/src/graphql/arg/ContributionArgs.ts
new file mode 100644
index 000000000..2fa1c5ced
--- /dev/null
+++ b/backend/src/graphql/arg/ContributionArgs.ts
@@ -0,0 +1,15 @@
+import { ArgsType, Field, InputType } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+
+@InputType()
+@ArgsType()
+export default class ContributionArgs {
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => String)
+  creationDate: string
+}
diff --git a/backend/src/graphql/arg/ContributionLinkArgs.ts b/backend/src/graphql/arg/ContributionLinkArgs.ts
new file mode 100644
index 000000000..7344a28ff
--- /dev/null
+++ b/backend/src/graphql/arg/ContributionLinkArgs.ts
@@ -0,0 +1,29 @@
+import { ArgsType, Field, Int } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+
+@ArgsType()
+export default class ContributionLinkArgs {
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => String)
+  name: string
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => String)
+  cycle: string
+
+  @Field(() => String, { nullable: true })
+  validFrom?: string | null
+
+  @Field(() => String, { nullable: true })
+  validTo?: string | null
+
+  @Field(() => Decimal, { nullable: true })
+  maxAmountPerMonth: Decimal | null
+
+  @Field(() => Int)
+  maxPerCycle: number
+}
diff --git a/backend/src/graphql/enum/ContributionCycleType.ts b/backend/src/graphql/enum/ContributionCycleType.ts
new file mode 100644
index 000000000..5fe494a02
--- /dev/null
+++ b/backend/src/graphql/enum/ContributionCycleType.ts
@@ -0,0 +1,28 @@
+import { registerEnumType } from 'type-graphql'
+
+export enum ContributionCycleType {
+  ONCE = 'once',
+  HOUR = 'hour',
+  TWO_HOURS = 'two_hours',
+  FOUR_HOURS = 'four_hours',
+  EIGHT_HOURS = 'eight_hours',
+  HALF_DAY = 'half_day',
+  DAY = 'day',
+  TWO_DAYS = 'two_days',
+  THREE_DAYS = 'three_days',
+  FOUR_DAYS = 'four_days',
+  FIVE_DAYS = 'five_days',
+  SIX_DAYS = 'six_days',
+  WEEK = 'week',
+  TWO_WEEKS = 'two_weeks',
+  MONTH = 'month',
+  TWO_MONTH = 'two_month',
+  QUARTER = 'quarter',
+  HALF_YEAR = 'half_year',
+  YEAR = 'year',
+}
+
+registerEnumType(ContributionCycleType, {
+  name: 'ContributionCycleType', // this one is mandatory
+  description: 'Name of the Type of the ContributionCycle', // this one is optional
+})
diff --git a/backend/src/graphql/model/CreatePendingCreations.ts b/backend/src/graphql/model/AdminCreateContributions.ts
similarity index 54%
rename from backend/src/graphql/model/CreatePendingCreations.ts
rename to backend/src/graphql/model/AdminCreateContributions.ts
index 8d5bcef2c..aa402733a 100644
--- a/backend/src/graphql/model/CreatePendingCreations.ts
+++ b/backend/src/graphql/model/AdminCreateContributions.ts
@@ -1,19 +1,19 @@
 import { ObjectType, Field } from 'type-graphql'
 
 @ObjectType()
-export class CreatePendingCreations {
+export class AdminCreateContributions {
   constructor() {
     this.success = false
-    this.successfulCreation = []
-    this.failedCreation = []
+    this.successfulContribution = []
+    this.failedContribution = []
   }
 
   @Field(() => Boolean)
   success: boolean
 
   @Field(() => [String])
-  successfulCreation: string[]
+  successfulContribution: string[]
 
   @Field(() => [String])
-  failedCreation: string[]
+  failedContribution: string[]
 }
diff --git a/backend/src/graphql/model/UpdatePendingCreation.ts b/backend/src/graphql/model/AdminUpdateContribution.ts
similarity index 87%
rename from backend/src/graphql/model/UpdatePendingCreation.ts
rename to backend/src/graphql/model/AdminUpdateContribution.ts
index e19e1e064..e824975a4 100644
--- a/backend/src/graphql/model/UpdatePendingCreation.ts
+++ b/backend/src/graphql/model/AdminUpdateContribution.ts
@@ -2,7 +2,7 @@ import { ObjectType, Field } from 'type-graphql'
 import Decimal from 'decimal.js-light'
 
 @ObjectType()
-export class UpdatePendingCreation {
+export class AdminUpdateContribution {
   @Field(() => Date)
   date: Date
 
diff --git a/backend/src/graphql/model/Contribution.ts b/backend/src/graphql/model/Contribution.ts
new file mode 100644
index 000000000..aa878990c
--- /dev/null
+++ b/backend/src/graphql/model/Contribution.ts
@@ -0,0 +1,64 @@
+import { ObjectType, Field, Int } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+import { Contribution as dbContribution } from '@entity/Contribution'
+import { User } from './User'
+
+@ObjectType()
+export class Contribution {
+  constructor(contribution: dbContribution, user: User) {
+    this.id = contribution.id
+    this.firstName = user ? user.firstName : null
+    this.lastName = user ? user.lastName : null
+    this.amount = contribution.amount
+    this.memo = contribution.memo
+    this.createdAt = contribution.createdAt
+    this.deletedAt = contribution.deletedAt
+    this.confirmedAt = contribution.confirmedAt
+    this.confirmedBy = contribution.confirmedBy
+    this.contributionDate = contribution.contributionDate
+  }
+
+  @Field(() => Number)
+  id: number
+
+  @Field(() => String, { nullable: true })
+  firstName: string | null
+
+  @Field(() => String, { nullable: true })
+  lastName: string | null
+
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => Date)
+  createdAt: Date
+
+  @Field(() => Date, { nullable: true })
+  deletedAt: Date | null
+
+  @Field(() => Date, { nullable: true })
+  confirmedAt: Date | null
+
+  @Field(() => Number, { nullable: true })
+  confirmedBy: number | null
+
+  @Field(() => Date)
+  contributionDate: Date
+}
+
+@ObjectType()
+export class ContributionListResult {
+  constructor(count: number, list: Contribution[]) {
+    this.contributionCount = count
+    this.contributionList = list
+  }
+
+  @Field(() => Int)
+  contributionCount: number
+
+  @Field(() => [Contribution])
+  contributionList: Contribution[]
+}
diff --git a/backend/src/graphql/model/ContributionLink.ts b/backend/src/graphql/model/ContributionLink.ts
new file mode 100644
index 000000000..9fe9eccd6
--- /dev/null
+++ b/backend/src/graphql/model/ContributionLink.ts
@@ -0,0 +1,62 @@
+import { ObjectType, Field, Int } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+import { ContributionLink as dbContributionLink } from '@entity/ContributionLink'
+import CONFIG from '@/config'
+
+@ObjectType()
+export class ContributionLink {
+  constructor(contributionLink: dbContributionLink) {
+    this.id = contributionLink.id
+    this.amount = contributionLink.amount
+    this.name = contributionLink.name
+    this.memo = contributionLink.memo
+    this.createdAt = contributionLink.createdAt
+    this.deletedAt = contributionLink.deletedAt
+    this.validFrom = contributionLink.validFrom
+    this.validTo = contributionLink.validTo
+    this.maxAmountPerMonth = contributionLink.maxAmountPerMonth
+    this.cycle = contributionLink.cycle
+    this.maxPerCycle = contributionLink.maxPerCycle
+    this.code = contributionLink.code
+    this.link = CONFIG.COMMUNITY_REDEEM_CONTRIBUTION_URL.replace(/{code}/g, this.code)
+  }
+
+  @Field(() => Number)
+  id: number
+
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => String)
+  name: string
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => String)
+  code: string
+
+  @Field(() => String)
+  link: string
+
+  @Field(() => Date)
+  createdAt: Date
+
+  @Field(() => Date, { nullable: true })
+  deletedAt: Date | null
+
+  @Field(() => Date, { nullable: true })
+  validFrom: Date | null
+
+  @Field(() => Date, { nullable: true })
+  validTo: Date | null
+
+  @Field(() => Decimal, { nullable: true })
+  maxAmountPerMonth: Decimal | null
+
+  @Field(() => String)
+  cycle: string
+
+  @Field(() => Int)
+  maxPerCycle: number
+}
diff --git a/backend/src/graphql/model/ContributionLinkList.ts b/backend/src/graphql/model/ContributionLinkList.ts
new file mode 100644
index 000000000..412d0bf7b
--- /dev/null
+++ b/backend/src/graphql/model/ContributionLinkList.ts
@@ -0,0 +1,11 @@
+import { ObjectType, Field } from 'type-graphql'
+import { ContributionLink } from '@model/ContributionLink'
+
+@ObjectType()
+export class ContributionLinkList {
+  @Field(() => [ContributionLink])
+  links: ContributionLink[]
+
+  @Field(() => Number)
+  count: number
+}
diff --git a/backend/src/graphql/model/UnconfirmedContribution.ts b/backend/src/graphql/model/UnconfirmedContribution.ts
new file mode 100644
index 000000000..1d697a971
--- /dev/null
+++ b/backend/src/graphql/model/UnconfirmedContribution.ts
@@ -0,0 +1,49 @@
+import { ObjectType, Field, Int } from 'type-graphql'
+import Decimal from 'decimal.js-light'
+import { Contribution } from '@entity/Contribution'
+import { User } from '@entity/User'
+
+@ObjectType()
+export class UnconfirmedContribution {
+  constructor(contribution: Contribution, user: User, creations: Decimal[]) {
+    this.id = contribution.id
+    this.userId = contribution.userId
+    this.amount = contribution.amount
+    this.memo = contribution.memo
+    this.date = contribution.contributionDate
+    this.firstName = user ? user.firstName : ''
+    this.lastName = user ? user.lastName : ''
+    this.email = user ? user.email : ''
+    this.creation = creations
+  }
+
+  @Field(() => String)
+  firstName: string
+
+  @Field(() => Int)
+  id?: number
+
+  @Field(() => String)
+  lastName: string
+
+  @Field(() => Number)
+  userId: number
+
+  @Field(() => String)
+  email: string
+
+  @Field(() => Date)
+  date: Date
+
+  @Field(() => String)
+  memo: string
+
+  @Field(() => Decimal)
+  amount: Decimal
+
+  @Field(() => Number, { nullable: true })
+  moderator: number | null
+
+  @Field(() => [Decimal])
+  creation: Decimal[]
+}
diff --git a/backend/src/graphql/model/User.ts b/backend/src/graphql/model/User.ts
index 86c56312f..0642be630 100644
--- a/backend/src/graphql/model/User.ts
+++ b/backend/src/graphql/model/User.ts
@@ -1,10 +1,12 @@
 import { ObjectType, Field } from 'type-graphql'
 import { KlickTipp } from './KlickTipp'
 import { User as dbUser } from '@entity/User'
+import Decimal from 'decimal.js-light'
+import { FULL_CREATION_AVAILABLE } from '../resolver/const/const'
 
 @ObjectType()
 export class User {
-  constructor(user: dbUser) {
+  constructor(user: dbUser, creation: Decimal[] = FULL_CREATION_AVAILABLE) {
     this.id = user.id
     this.email = user.email
     this.firstName = user.firstName
@@ -17,6 +19,7 @@ export class User {
     this.isAdmin = user.isAdmin
     this.klickTipp = null
     this.hasElopage = null
+    this.creation = creation
   }
 
   @Field(() => Number)
@@ -64,4 +67,7 @@ export class User {
 
   @Field(() => Boolean, { nullable: true })
   hasElopage: boolean | null
+
+  @Field(() => [Decimal])
+  creation: Decimal[]
 }
diff --git a/backend/src/graphql/model/UserAdmin.ts b/backend/src/graphql/model/UserAdmin.ts
index 8a1459c0f..cf3663e70 100644
--- a/backend/src/graphql/model/UserAdmin.ts
+++ b/backend/src/graphql/model/UserAdmin.ts
@@ -14,6 +14,7 @@ export class UserAdmin {
     this.hasElopage = hasElopage
     this.deletedAt = user.deletedAt
     this.emailConfirmationSend = emailConfirmationSend
+    this.isAdmin = user.isAdmin
   }
 
   @Field(() => Number)
@@ -42,6 +43,9 @@ export class UserAdmin {
 
   @Field(() => String, { nullable: true })
   emailConfirmationSend?: string
+
+  @Field(() => Date, { nullable: true })
+  isAdmin: Date | null
 }
 
 @ObjectType()
